Summary: The GNOME Display Manager
Name: gdm
Version: 2.20.4
Release: %mkrel 3
License: LGPL/GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/projects/gdm/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gdm/%{name}-%{version}.tar.bz2
Source2: gdm_48.png
Source3: gdm_32.png
Source4: gdm_16.png
Source5: gdm-consolekit.conf
Source6: 90-grant-audio-devices-to-gdm.fdi

# (fc) 2.2.2.1-1mdk change default configuration
Patch0: gdm-2.20.4-defaultconf.patch
# (fc) 2.4.0.11-3mdk use xvt instead of xterm
Patch1: gdm-2.19.1-xvt.patch
# (fc) 2.6.0.6-3mdk use pam_timestamp for gdmsetup (Fedora)
# and  don't use deprecated pam_stack (blino)
Patch4: gdm-pam.patch
# (fc) 2.6.0.6-3mdk clean up xses if session was sucessfully completed (Fedora)
Patch5: gdm-2.19.0-cleanup-xses.patch
# (fc) 2.18.0-2mdv force TMPDIR to /tmp, fix a11y startup inside gdm (Mdv bug #23215)
Patch6: gdm-2.19.1-tmpdir.patch
# (fc) 2.19.7-2mdv fix path for gdmsetup .desktop with usermode
Patch7: gdm-2.20.2-usermode.patch
# (fc) 2.19.8-3mdv don't set GDM_LANG for default system locale (Mdv bug #31290)
Patch8: gdm-2.19.8-gdmlang.patch
# (fc) 2.20.1-3mdv don't force UTF-8 on zh locale, rely on default locale
Patch10: gdm-2.20.1-zhlocale.patch
# (fc) 2.20.3-3mdv improve face browser
Patch12: gdm-2.20.3-face.patch
# (fc) 2.20.4-3mdv grab translation from gtk+mdk for "Welcome to %n" until upstream has enough translations
Patch13: gdm-2.20.4-welcome.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Provides: dm

Requires(pre):     rpm-helper
Requires(postun):  rpm-helper
Requires(post):	   scrollkeeper >= 0.3
Requires(postun):  scrollkeeper >= 0.3
Requires(post): desktop-common-data
Requires: pam >= 0.99.8.1-8mdv
Requires: setup >= 2.1.9-33mdk
Requires: sessreg
Requires: usermode
Requires: cdialog
Requires: zenity
# for XFdrake on failsafe fallback:
Requires: drakx-kbd-mouse-x11
Requires: xinitrc >= 2.4.14
Requires: openssh-clients
Requires: openssh-askpass-gnome
#needed by patch13
Requires: menu-messages
BuildRequires: X11-static-devel
BuildRequires: x11-server-xorg
BuildRequires: x11-server-xephyr
BuildRequires: gettext
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: librsvg-devel
BuildRequires: pam-devel
BuildRequires: usermode
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
BuildRequires: automake1.9 intltool
BuildRequires: consolekit-devel
BuildRequires: libwrap-devel
BuildRequires: libaudit-devel
BuildRequires: zenity
#gw for running intltool scripts
BuildRequires: perl-XML-Parser


%description
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%package Xnest
Summary: Xnest (ie embedded X) server for GDM
Group: %{group}
Requires: %{name} = %{version}
Requires: x11-server-xephyr

%description Xnest
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

This package add support for Xnest server in gdm

%prep
%setup -q
cp config/Init.in config/Default.in

%patch0 -p1 -b .defaultconf
%patch1 -p1 -b .xvt
%patch4 -p1 -b .pam
%patch5 -p1 -b .cleanup_xses
%patch6 -p1 -b .tmpdir
%patch7 -p1 -b .usermode
%patch8 -p1 -b .gdmlang
%patch10 -p1 -b .zhlocale
%patch12 -p1 -b .face
%patch13 -p1 -b .welcome
#gw  configure: error: newly created file is older than distributed files!
touch *

%build

%configure2_5x --enable-console-helper --sysconfdir=%{_sysconfdir}/X11 \
  --disable-scrollkeeper --with-console-kit=yes --enable-secureremote=yes
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std PAM_PREFIX=%{_sysconfdir} 

# don't provide PreSession/PostSession, pam handle this
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/PreSession/Default
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/PostSession/Default

ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/gdmsetup
perl -pi -e "s^%{_sbindir}/^^" %buildroot%_datadir/applications/gdmsetup.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hosts

mkdir -p  $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
cp %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/gdm.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/gdm.png
cp %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/gdm.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gdm/themes/mdv-nolist
ln -f -s ../../../mdk/dm/GdmGreeterTheme-nolist.desktop $RPM_BUILD_ROOT%{_datadir}/gdm/themes/mdv-nolist/GdmGreeterTheme.desktop
for i in disconnect.png languages.png sessions.png system.png mdk-gdm-nolist.xml screenshot-gdm-nolist.png ; do
 ln -f -s ../../../mdk/dm/$i $RPM_BUILD_ROOT%{_datadir}/gdm/themes/mdv-nolist/
done


mkdir -p $RPM_BUILD_ROOT%{_datadir}/PolicyKit/policy
install -m644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/PolicyKit/policy

%{find_lang} %{name}-2.4 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name-2.4.lang
done

#config for ConsoleKit
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/
install -m644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/gdm-ConsoleKit.conf

mkdir -p $RPM_BUILD_ROOT%{_var}/log/gdm $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions

#remove unpackaged files
rm -rf   $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.{la,a} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/gdm/PostLogin/Default.sample \
  $RPM_BUILD_ROOT%{_datadir}/xsessions/gnome.desktop

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd gdm %{_localstatedir}/gdm /bin/false
%_pre_groupadd xgrp gdm

%triggerpostun -- gdm < 2.8.0.0-2mdk
if [ -d %{_datadir}/gdm/themes/mdk.to_remove ]; then 
  rm -fr %{_datadir}/gdm/themes/mdk.to_remove
  ln -s -f ../../mdk/dm %{_datadir}/gdm/themes/mdk
fi
#replace changed paths in gdm.conf
sed -i -e "s^%_bindir/\(gdm[^ \t]\+\)^%_libexecdir/\1^g"  %{_sysconfdir}/X11/gdm/gdm.conf

%post
#needed to update old gdm without removing new theme
#is removed by triggerpostun
if [ "$1" = "2" -a ! -L %{_datadir}/gdm/themes/mdk ]; then 
 mv %{_datadir}/gdm/themes/mdk  %{_datadir}/gdm/themes/mdk.to_remove
else 
 if [ ! -L %{_datadir}/gdm/themes/mdk ]; then
  ln -s -f ../../mdk/dm %{_datadir}/gdm/themes/mdk
 fi
fi

if [ -f /%{_sysconfdir}/X11/xdm/Xsession -a ! -x /%{_sysconfdir}/X11/xdm/Xsession ]; then
	chmod +x /%{_sysconfdir}/X11/xdm/Xsession
fi
%{make_session}
/sbin/ldconfig
%update_scrollkeeper
# Attempt to restart GDM softly by use of the fifo.  Wont work on older
# then 2.2.3.1 versions but should work nicely on later upgrades.
# FIXME: this is just way too complex
FIFOFILE=`grep '^ServAuthDir=' %{_sysconfdir}/X11/gdm/custom.conf | sed -e 's/^ServAuthDir=//'`
if test x$FIFOFILE = x ; then
        FIFOFILE=%{_localstatedir}/gdm/.gdmfifo
else
        FIFOFILE="$FIFOFILE"/.gdmfifo
fi
PIDFILE=`grep '^PidFile=' %{_sysconfdir}/X11/gdm/custom.conf | sed -e 's/^PidFile=//'`
if test x$PIDFILE = x ; then
        PIDFILE=/var/run/gdm.pid
fi
if test -w $FIFOFILE ; then
        if test -f $PIDFILE ; then
                if kill -0 `cat $PIDFILE` 2> /dev/null ; then
                        (echo;echo SOFT_RESTART) >> $FIFOFILE
                fi
        fi
fi
# ignore error in the above
exit 0

%preun
if [ "$1" = "0" ]; then
 rm -f %{_datadir}/gdm/themes/mdk > /dev/null
fi

%postun
%{make_session}
%_postun_userdel gdm
%_postun_groupdel xgrp gdm
/sbin/ldconfig
%clean_scrollkeeper

%files -f %{name}-2.4.lang
%defattr(-, root, root)

%doc AUTHORS COPYING NEWS README gui/greeter/greeter.dtd
%_sysconfdir/dbus-1/system.d/*
%_bindir/gdm-dmx-reconnect-proxy
%_bindir/gdmdynamic
%_bindir/gdmsetup
%{_bindir}/gdmphotosetup
%{_bindir}/gdmflexiserver
%{_libexecdir}/gdmchooser
%{_libexecdir}/gdmgreeter
%{_libexecdir}/gdmlogin
%{_libexecdir}/gdmaskpass
%{_libexecdir}/gdmopen
%{_libexecdir}/gdmtranslate
%{_libexecdir}/gdm-ssh-session
%{_sbindir}/*
%dir %{_sysconfdir}/X11/gdm
%{_sysconfdir}/X11/gdm/XKeepsCrashing
%config(noreplace) %{_sysconfdir}/pam.d/gdm
%config(noreplace) %{_sysconfdir}/pam.d/gdmsetup
%config(noreplace) %{_sysconfdir}/pam.d/gdm-autologin
%config(noreplace) %{_sysconfdir}/security/console.apps/gdmsetup
%config(noreplace) %{_sysconfdir}/X11/gdm/custom.conf
%config(noreplace) %{_sysconfdir}/X11/gdm/locale.alias
%config(noreplace) %{_sysconfdir}/X11/gdm/Xsession
%dir %{_sysconfdir}/X11/dm
%dir %{_sysconfdir}/X11/dm/Sessions
%config(noreplace) %{_sysconfdir}/X11/gdm/PreSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostLogin
%config(noreplace) %{_sysconfdir}/X11/gdm/Init
%config(noreplace) %{_sysconfdir}/X11/gdm/modules
%{_libdir}/gtk-2.0/modules/*.so
%{_datadir}/pixmaps/*
%{_datadir}/gdm
%{_datadir}/PolicyKit/policy/*
%dir %{_datadir}/hosts
%attr(1770, gdm, gdm) %dir %{_localstatedir}/gdm
%dir %{_var}/log/gdm
%_datadir/icons/hicolor/*/apps/gdm*
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_mandir}/man1/*
%dir %{_datadir}/xsessions
%{_datadir}/xsessions/ssh.desktop

%files Xnest
%defattr(-, root, root)
%{_bindir}/gdmthemetester
%{_bindir}/gdmXnestchooser
%{_bindir}/gdmXnest


%changelog
* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 2.20.4-3mdv2008.1
+ Revision: 185606
- Patch13: grab translation for Welcome banner from gtk+mdk until upstream has enough translation for it

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.20.4-2mdv2008.1
+ Revision: 184838
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.20.4-1mdv2008.1
+ Revision: 183930
- new version
- rediff patch 0
- drop patch 11

* Wed Mar 05 2008 Frederic Crozat <fcrozat@mandriva.com> 2.20.3-3mdv2008.1
+ Revision: 180168
- Patch11 : check for both Remote and Locale welcome message when trying to translate it
- Patch12: improve face browser
- Update patch0 to use new background color
- Add symlink for additional Mandriva graphical theme without user list

  + Götz Waschk <waschk@mandriva.org>
    - remove menu scripts

* Mon Jan 21 2008 Frederic Crozat <fcrozat@mandriva.com> 2.20.3-2mdv2008.1
+ Revision: 155868
- Update patch4 to sync with Fedora pam file and call gnome-keyring pam module if present
- Add PolicyKit file to allow sound output for gdm user (needed for accessibility)

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.20.3-1mdv2008.1
+ Revision: 146374
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 113356
- new version
- rediff patch 7
- drop patch 9
- update file list

  + Thierry Vignaud <tvignaud@mandriva.com>
    - explain why we require drakx-kbd-mouse-x11

* Mon Nov 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.1-4mdv2008.1
+ Revision: 112142
- Replace drakxtools-newt dependency with drakx-kbd-mouse-x11, to ensure XFdrake is always installed

* Mon Nov 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.1-3mdv2008.1
+ Revision: 110478
- Patch9 (SVN): fixes XDMCP client (Mdv bug #35522)
- Patch10: No longer default to locale value in gdm language list, force UTF-8 by default except for zh (like installer) (Mdv bug #35133)

* Tue Oct 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.1-2mdv2008.1
+ Revision: 98925
- Remove patch9, no longer needed

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98884
- new version
- rediff patch 9
- drop patch 10

* Wed Sep 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 90800
- Patch9 : fix .dmrc handling (Mdv bug #33755)
- Patch10 (SVN): prevent lockup when at-spi / prefetch (GNOME bug #473480) (SVN)

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89336
- new version

* Mon Sep 17 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.8-4mdv2008.0
+ Revision: 89273
- Fix regression introduced in patch0 (Mdv bug #33645)

* Fri Sep 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.8-3mdv2008.0
+ Revision: 81913
- Patch8:  don't set GDM_LANG for default system locale (Mdv bug #31290)

* Fri Sep 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.8-2mdv2008.0
+ Revision: 81437
- Fix Buildrequires
- Enable remote secure connection (via ssh)
- Update default config patch to remove many duplicated settings which are already in /etc/X11/Xsession (and might cause problems). Ensure background is not reset to color when set to background+color

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.8-1mdv2008.0
+ Revision: 80600
- new version

* Mon Sep 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.7-2mdv2008.0
+ Revision: 78574
- Patch7: fix path for gdmsetup in .desktop file
- Don't complain when upgrading if gdm isn't running

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.7-1mdv2008.0
+ Revision: 72368
- new version

* Tue Aug 21 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.6-2mdv2008.0
+ Revision: 68532
- add Source5: add dbus permission for consolekit calls (Mdv bug #32571)
- Fix BR and use Xephyr instead of Xnext for Xnest flexiserver (Mdv bug #29950)

* Thu Aug 16 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 64134
- new version
- update buildrequires

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 56729
- new version

  + Frederic Crozat <fcrozat@mandriva.com>
    - Enable ConsoleKit support

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 50888
- new version
- rediff patch 0

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 40732
- new version
- new version
- rediff patches 0,1,4,5,6
- drop patches 2,7
- drop legacy menu
- update file list

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32376
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 13863
- new version


* Wed Mar 21 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-3mdv2007.1
+ Revision: 147243
- hide gdmphotosetup if running gnome
- replace patch for gdmsetup.desktop by a perl one-liner
- make gdmsetup desktop entry ask for the root password (bug #29731)

* Fri Mar 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 145229
- Patch6: force TMPDIR to /tmp, fix a11y startup for gdm greeter (Mdv bugf #23215)
- Update patch0 : fix default PATH (Mdv bug #24703), use Ia Ora for default GTK theme

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141713
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.8-2mdv2007.1
+ Revision: 126216
- fix buildrequires to include the X server

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.8-1mdv2007.1
+ Revision: 125734
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.7-1mdv2007.1
+ Revision: 118846
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2007.1
+ Revision: 111675
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 105479
- new version

* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 96754
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 90775
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 87931
- bot rebuild
- new version
- update patch 2

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.1
+ Revision: 86906
- new version

* Tue Oct 31 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 74783
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63826
- rebuild
- unpack patches
- Import gdm

* Thu Oct 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- drop patch 6
- New version 2.16.1

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Update patch6 with upstream version

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Sat Aug 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.10-2mdv2007.0
- Patch6 (Guillaume Bedot): fix crash (Mdv bug #24615)

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.10-1mdv2007.0
- New release 2.15.10

* Wed Aug 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.15.9-2mdv2007.0
- fix buildrequires on x86_64

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.9-1mdv2007.0
- New release 2.15.9

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 2.15.8-1mdv2007.0
- New release 2.15.8

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.7-1mdv2007.0
- xdg menu
- New release 2.15.7

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.6-1mdv2007.0
- Release 2.15.6

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- drop patch 6
- rediff patch 2
- New release 2.15.5

* Tue Jun 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-4mdv2007.0
- Patch6 (CVS): fix autologin (Mdk bug #22793, GNOME bug #344191)

* Sat Jun 10 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-3mdv2007.0
- silent update of the translations

* Fri Jun 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Add dependency on sessreg

* Fri Jun 09 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- drop patch 6
- New release 2.15.4

* Thu May 25 2006 Gtz Waschk <waschk@mandriva.org> 2.14.7-1mdk
- drop patch 6
- New release 2.14.7

* Sat May 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.6-3mdk
- Rebuild with modular xorg

* Tue May 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.6-2mdk
- Fix symlink to be relative, to be chroot safe (Vincent Guardiola)

* Sat May 13 2006 Gtz Waschk <waschk@mandriva.org> 2.14.6-1mdk
- fix installation
- New release 2.14.6

* Thu May 04 2006 Götz Waschk <waschk@mandriva.org> 2.14.5-1mdk
- New release 2.14.5

* Thu Apr 27 2006 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdk
- New release 2.14.4

* Wed Apr 26 2006 Gtz Waschk <waschk@mandriva.org> 2.14.3-1mdk
- update patch 2
- New release 2.14.3

* Sun Apr 23 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-2mdk
- fix buildrequires

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-1mdk
- Release 2.14.2
- Regenerate patches 0, 2
- Remove patches 3 (merged upstream), 6 (replaced by sed script)
- Merge patch7 into patch4

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 2.8.0.7-3mdk
- rebuild for new libgsf

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 2.8.0.7-2mdk
- use "include" directive instead of deprecated pam_stack

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.7-1mdk
- drop patches 7,8
- update patch 2
- New release 2.8.0.7

* Tue Nov 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.6-3mdk
- Patch8: fix vt detection

* Mon Nov 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.6-2mdk
- Put back patch 2 in an improved version, it shouldn't have been removed at all
- Patch7: fix a lot of warnings
- Regenerate patch3
- Clean specfile

* Wed Nov 16 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.6-1mdk
- drop patch 2
- New release 2.8.0.6

* Wed Nov 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.5-3mdk
- Update patch0 : don't start ssh-agent anymore (Mdk bug #19568)

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 2.8.0.5-2mdk
- rebuild for new libgsf

* Wed Oct 05 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.5-1mdk
- disable parallel make
- New release 2.8.0.5

* Wed Sep 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.4-1mdk 
- Release 2.8.0.4

* Sat Sep 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-5mdk 
- Update patch0 to enable IncludeAll for user lists

* Sat Sep 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-4mdk 
- Patch6: don't force UTF8 locale (Mdk bug #18177)

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.8.0.3-3mdk
- rebuild to remove glitz dep

* Fri Sep 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-2mdk 
- Update patch0 to set clock format based on locale settings

* Tue Aug 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.3-1mdk 
- Release 2.8.0.3
- Regenerate patch0 (partially merged), enforce galaxy GTK them
- Fix trigger from older gdm

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.2-3mdk 
- Update patch0 to fix Mdk bug #17347
- Fix url

* Wed Aug 10 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.2-2mdk 
- Update patch0 to fix default location for faces

* Wed Aug 10 2005 Götz Waschk <waschk@mandriva.org> 2.8.0.2-1mdk
- rediff patches 0,2
- New release 2.8.0.2

* Thu Aug 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0.1-2mdk 
- Update patch0, gdmgreeter was not the default greeter for local gdm
- fix gdmsetup startup (Mdk bug #16761)
- fix upgrade when theme migration was already done
- use new syntax for prereq

* Mon Jul 04 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.1-1mdk
- drop patch 6
- New release 2.8.0.1

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-5mdk
- fix broken doc file (bug #16394)

* Sun Jun 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.0.0-4mdk
- add BuildRequires: XFree86-static-devel

* Sat Jun 18 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-3mdk
- fix the trigger

* Tue Jun 14 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-2mdk
- bump xinitrc dep
- fix changed paths in gdm.conf on upgrade

* Sun Jun 12 2005 Gtz Waschk <waschk@mandriva.org> 2.8.0.0-1mdk
- update file list
- update file list
- drop merged patch 6
- update patches 0,1
- New release 2.8.0.0

* Sat May 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.0.9-4mdk 
- Fix trigger

* Fri May 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.0.9-3mdk
- add BuildRequires: intltool

* Wed May 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.0.9-2mdk 
- Remove patch7 and fix build on x86-64

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.0.9-1mdk 
- Release 2.6.0.9

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.8-2mdk 
- Fix update from Mdk 10.1 (Mdk bug #14532)

* Tue Mar 08 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.8-1mdk
- rediff patches 0,6
- New release 2.6.0.8

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.7-4mdk 
- Fix upgrade

* Tue Mar 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.7-3mdk 
- Move gdm mdk theme to mandrake_desk

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.0.7-2mdk
- libtool fixes

* Thu Feb 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.6.0.7-1mdk
- New release 2.6.0.7

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-5mdk 
- Rebuild with latest howl

* Thu Dec 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-4mdk 
- Patch6 (Fedora): lookup and use canonical username

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-3mdk 
- Patch4 (Fedora): use pam_timestamp for gdmsetup
- Patch5 (Fedora): clean up xses if session was sucessfully completed

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.6-2mdk
- fix omf file listing

* Thu Oct 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.6-1mdk
- New release 2.6.0.6

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-7mdk
- Update patch0 to call correctly Xsession when using default session

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-6mdk
- Update patch2 to sync dither with the one from patch3

* Thu Sep 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-5mdk
- Patch3: dither background for standard greeter

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-4mdk
- Update patch 0 to fix default session name (Mdk bug #11104)

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-3mdk
- Update patch 0 to sync with latest xinitrc behaviour

* Sat Aug 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.0.4-2mdk
- fix typo in menu entry

* Fri Aug 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.4-1mdk
- Release 2.6.0.4

* Tue Jul 06 2004 Olivier Blin <blino@mandrake.org> 2.6.0.3-2mdk
- reenable libtoolize
- add virtual provides dm

* Sun Jun 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.3-1mdk
- add new files
- rediff patch 0
- New release 2.6.0.3

* Sat May 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.2-1mdk
- drop patches 3,4 (different fixes included)
- New release 2.6.0.2

* Wed May 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.1-2mdk
- Create /etc/X11/dm/Sessions until fndSession is fixed

* Sun Apr 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.1-1mdk
- new version

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.0-1mdk
- Release 2.6.0.0 (with Gtz help)
- Regenerate patches 0, 3

